Subject: Re: BusyBox passwd requires root privileges

From: khollan <[email-masked]>
Date: Tue, 7 Aug 2007 11:39:30 -0700 (PDT)

Scott Wood-2 wrote:
> 
> 
> Make sure it's owned by root, and chmod 4755 the binary.  I'm not sure 
> how to go about telling busybox to drop suid when invoked as something 
> else.  It'd probably be better to build two busyboxes, one with all suid 
> commands and the other with the rest.
> 
> -Scott
> 
> 
I chmod 4755 to the passwd binary and it worked.  Before I did that I also
added a Busybox.conf file in /etc with this in it...
[SUID]
passwd = ssx root.root

I don't know if I needed that or not but it works now. Thanks
-- 
View this message in context: http://www.nabble.com/BusyBox-passwd-requires-root-privileges-tf4214675.html#a12039968
Sent from the linuxppc-embedded mailing list archive at Nabble.com.